# Method: projects.locations.interceptEndpointGroupAssociations.delete

Deletes an association. See <https://google.aip.dev/135>.

### HTTP request

`DELETE https://networksecurity.googleapis.com/v1/{name=projects/*/locations/*/interceptEndpointGroupAssociations/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The association to delete. |

### Query parameters

| Parameters ||
|---|---|
| `requestId` | `string` Optional. A unique identifier for this request. Must be a UUID4. This request is only idempotent if a `requestId` is provided. See <https://google.aip.dev/155> for more details. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/network-security-integration/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `networksecurity.interceptEndpointGroupAssociations.delete`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).